## v1: original rook manifests

```
 git clone https://github.com/rook/rook.git
cd rook/cluster/examples/kubernetes/ceph
kubectl apply  -f crds.yaml -f common.yaml
kubectl apply  -f operator.yaml
kubectl get -n rook-ceph pods --watch
kubectl apply -f cluster.yaml
kubectl apply -f csi/rbd/storageclass.yaml
kubectl apply -f toolbox.yaml
```

## v2 with included manifests

* Patched for IPv6 support
* Including RBD

```
for yaml in crds common operator cluster storageclass toolbox; do
    kubectl apply -f ${yaml}.yaml
done
```

## Debugging / ceph toolbox

```
kubectl -n rook-ceph exec -it deploy/rook-ceph-tools -- bash
```

## Creating a sample RBD device / PVC

```
kubectl apply -f pvc.yaml
```
